<?php

/**
 * Class d3_oxorder_payremind
 */
class d3_oxorder_payremind extends d3_oxorder_payremind_parent
{

    /**
     * @return bool
     */
    public function showD3TranserformPicture()
    {
        $oUser = oxNew('oxuser');
        $oUser->load($this->getFieldData('oxuserid'));

        $oHandler = oxNew('d3_transferform_application_models_handler', $this, $oUser, null, null);

        return $oHandler->showTransferformPicture();
    }

    /**
     * return string
     */
    public function getD3TransferformShopId()
    {
        if(oxRegistry::getConfig()->getShopId() != 'oxbaseshop')
        {
            return '&shp='.$this->getFieldData('oxshopid');
        }

        return '';
    }
}